<div class="flex w-screen h-screen justify-center items-center flex-col">
  @if (!submitted){
  <form class="w-80" (ngSubmit)="onSubmit()" [formGroup]="projectForm">
    <label class="form-control w-full max-w-xs" for="projectname">
      <div class="label">
        <span class="label-text">Project Name: </span>
      </div>
      <input
        type="text"
        id="projectname"
        name="projectname"
        class="input input-bordered w-full max-w-xs"
        placeholder="FDSITAMDB"
        formControlName="projectname"
      />
      <div class="p-1">
        <span class="text-sm">Please enter a valid project name.</span>
      </div>
    </label>

    <label class="form-control w-full max-w-xs" for="email">
      <div class="label">
        <span class="label-text">Email: </span>
      </div>
      <input
        type="email"
        id="email"
        name="email"
        class="input input-bordered w-full max-w-xs"
        formControlName="email"
      />
      <div class="p-1">
        <span
          class="text-sm"
          [ngClass]="{
            'text-red-500': isEmailInvalid(),
            'text-transparent': !isEmailInvalid()
          }"
          >Please enter a email!</span
        >
      </div>
    </label>

    <label class="form-control w-full max-w-xs mb-8" for="projectstatus">
      <div class="label">
        <span class="label-text">Project Status: </span>
      </div>
      <select
        class="select select-bordered w-full max-w-xs"
        id="projectstatus"
        name="projectstatus"
        formControlName="projectstate"
      >
        @for (projectStateOption of projectStates; track projectStateOption) {
        <option [value]="projectStateOption">{{ projectStateOption }}</option>
        }
      </select>
    </label>

    <button
      type="submit"
      class="btn btn-primary rounded-lg"
      [disabled]="!projectForm.valid"
    >
      Create Project
    </button>
  </form>
  } @else {
  <div class="mb-3">
    <h1 class="text-center text-5xl">
      A new projected "{{ projectData.projectname }}" was created with the
      status <span class="text-primary">{{ projectData.projectstate }}</span
      >.
    </h1>
  </div>
  <div>
    <h2 class="text-center text-2xl">
      A confirmation was sent to {{ projectData.email }}.
    </h2>
  </div>
  <div class="mt-12">
    <button
      class="btn btn-primary px-3 w-32 text-lg rounded-lg"
      (click)="onBackButtonClicked()"
    >
      Back
    </button>
  </div>
  }
</div>
